/*ScianSnap.h
  Eric Pepke
  14 January 1993

  Public stuff for ScianSnap.c
*/

/*Methods*/
ObjPtr SaveSnapshotControls();
ObjPtr LogSnapshotControls();


#ifdef PROTO
ObjPtr TakeSnapshot(ObjPtr);
void ApplySnapshot(ObjPtr snapshot);
void ApplySnapshotTo(ObjPtr snapshot, ObjPtr object);
void InitSnapshots(void);
void KillSnapshots(void);
void AddSnapVar(ObjPtr, NameTyp);
ObjPtr AssembleSnapVars(ObjPtr);
void PullSnapVars(ObjPtr, ObjPtr);
void SubsumeObjIntoDatabase(ObjPtr object);
void ApplySavedSettings(ObjPtr);
void LogSnapshot(ObjPtr);
ObjPtr GetSettingsDirectory(void);
#else
ObjPtr TakeSnapshot();
void ApplySnapshot();
void ApplySnapshotTo();
void InitSnapshots();
void KillSnapshots();
void AddSnapVar();
ObjPtr AssembleSnapVars();
void PullSnapVars();
void SubsumeObjIntoDatabase();
void ApplySavedSettings();
void LogSnapshot();
ObjPtr GetSettingsDirectory();
#endif
